Bug 108643 - Filter Rules Dialog: Uparrow to select folder in "Move to Folder" action is irritating
Summary: Filter Rules Dialog: Uparrow to select folder in "Move to Folder" action is i...
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-06 12:33 UTC by Till
Modified: 2013-01-30 09:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Till 2005-07-06 12:33:06 UTC
Version:            (using KDE KDE 3.4.1)
Installed from:    Debian testing/unstable Packages

In the "Filter Rules" dialog: When selecting a folder for the "Move Into Folder" action, the user has to click on an uparrow to open the "Select folder" dialog. That's pretty unusual, as the user would expect an uparrow to move one folder up (as in Konqi). IMHO this should be changed to a folder icon. 
Without knowing the styleguide, I would also assume, that this violates it. And if it doesn't, the styleguide should be extended to include an instruction on how a button to bring up a folder selection dialog should look like.
Comment 1 Andreas Gungl 2005-07-06 21:36:32 UTC
This change should do what is needed. Okay to commit?

Index: folderrequester.cpp
===================================================================
--- folderrequester.cpp (Revision 432243)
+++ folderrequester.cpp (Arbeitskopie)
@@ -55,7 +55,7 @@
   button->setAutoRaise(true);
   button->setSizePolicy( QSizePolicy( QSizePolicy::Fixed, QSizePolicy::Fixed ) );
   button->setFixedSize( 16, 16 );
-  button->setIconSet( KGlobal::iconLoader()->loadIconSet( "up", KIcon::Small, 0 ) );
+  button->setIconSet( KGlobal::iconLoader()->loadIconSet( "folder", KIcon::Small, 0 ) );
   connect( button, SIGNAL(clicked()), this, SLOT(slotOpenDialog()) );

   setSizePolicy( QSizePolicy( QSizePolicy::MinimumExpanding,
Comment 2 Andreas Gungl 2005-07-09 20:32:19 UTC
SVN commit 433116 by gungl:

Show the folder icon for the button which opens the folder 
selection dialog.
BUGS: 108643


 M  +1 -1      folderrequester.cpp  


--- trunk/KDE/kdepim/kmail/folderrequester.cpp #433115:433116
@@ -55,7 +55,7 @@
   button->setAutoRaise(true);
   button->setSizePolicy( QSizePolicy( QSizePolicy::Fixed, QSizePolicy::Fixed ) );
   button->setFixedSize( 16, 16 );
-  button->setIconSet( KGlobal::iconLoader()->loadIconSet( "up", KIcon::Small, 0 ) );
+  button->setIconSet( KGlobal::iconLoader()->loadIconSet( "folder", KIcon::Small, 0 ) );
   connect( button, SIGNAL(clicked()), this, SLOT(slotOpenDialog()) );
 
   setSizePolicy( QSizePolicy( QSizePolicy::MinimumExpanding,
Comment 3 Aaron J. Seigo 2013-01-30 09:33:27 UTC
Git commit 677beae1ecc3c15fdc5d7741e5f5f323d9a9a57e by Aaron Seigo.
Committed on 30/01/2013 at 10:18.
Pushed by aseigo into branch 'KDE/4.10'.

update geometry of the lock window when screen changes

this is the window that lays *under* the acdtual lock UI, and which
prevents visibility of the underlying desktop (and lets the window
manager know what's up) thereby allowing us to care a lot less about
whether the greeter crashes while improving security with compositing on.

previously it was not changing geom when the screen would .. which was
not noticed due to a combination of issues; but with kscreen being used,
its magic revealed the problem.

based on a patch by Thomas Lübking

REVIEW:108643
REVIEW:108643

M  +15   -5    ksmserver/screenlocker/lockwindow.cpp
M  +1    -0    ksmserver/screenlocker/lockwindow.h

http://commits.kde.org/kde-workspace/677beae1ecc3c15fdc5d7741e5f5f323d9a9a57e
Comment 4 Laurent Montel 2013-01-30 09:50:57 UTC
I think aaron that you make error no ?:)
kmail != ksmserver :)

Regards